--| Constants |--
GL_TRIANGLES   = 0004;
GL_CULL_FACE   = 2884;
GL_DEPTH_TEST  = 2929;
GL_ALPHA_TEST  = 3008;
GL_BLEND       = 3042;
GL_MULTISAMPLE = 32925;
GL_SAMPLE_ALPHA_TO_COVERAGE = 32926;
GL_SAMPLE_ALPHA_TO_ONE = 32927;

GL_DEPTH_BUFFER_BIT   = 256;
GL_STENCIL_BUFFER_BIT = 1024;
GL_COLOR_BUFFER_BIT   = 16384;
GL_DEPTHCOLOR_CLEAR   = GL_DEPTH_BUFFER_BIT + GL_COLOR_BUFFER_BIT;

GL_ZERO                = 0;
GL_ONE                 = 1;
GL_SRC_COLOR           = 768;
GL_ONE_MINUS_SRC_COLOR = 769;
GL_SRC_ALPHA           = 770;
GL_ONE_MINUS_SRC_ALPHA = 771;
GL_DST_ALPHA           = 772;
GL_ONE_MINUS_DST_ALPHA = 773;
GL_DST_COLOR           = 774;
GL_ONE_MINUS_DST_COLOR = 775;
GL_SRC_ALPHA_SATURATE  = 776;

GL_FRONT       = 1028;
GL_BACK        = 1029;

GL_NEVER       = 512;
GL_LESS        = 513;
GL_EQUAL       = 514;
GL_LEQUAL      = 515;
GL_GREATER     = 516;
GL_NOTEQUAL    = 517;
GL_GEQUAL      = 518;
GL_ALWAYS      = 519;

GL_TEXTURE_1D = 3552;
GL_TEXTURE_2D = 3553;

GL_RED         = 6403;
GL_RGB         = 6407;
GL_RGBA        = 6408;
GL_BGR         = 32992;
GL_BGRA        = 32993;

GL_TEXTURE0  = 33984;
GL_TEXTURE1  = GL_TEXTURE0+1;
GL_TEXTURE2  = GL_TEXTURE0+2;
GL_TEXTURE3  = GL_TEXTURE0+3;
GL_TEXTURE4  = GL_TEXTURE0+4;
GL_TEXTURE5  = GL_TEXTURE0+5;

--| Includes |--
include('Utils/fbo','Utils/glsl','Utils/ogltexture','Utils/3dsprite','Utils/binarymodel','Utils/2dzsprite');